pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.8.1 20130717 (Red Hat 4.8.1-5)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_templates2ada" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#8b7cf866#;
   pragma Export (C, u00001, "templates2adaB");
   u00002 : constant Version_32 := 16#3935bd10#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#eb22a70d#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00005, "ada__charactersS");
   u00006 : constant Version_32 := 16#6239f067#;
   pragma Export (C, u00006, "ada__characters__handlingB");
   u00007 : constant Version_32 := 16#3006d996#;
   pragma Export (C, u00007, "ada__characters__handlingS");
   u00008 : constant Version_32 := 16#051b1b7b#;
   pragma Export (C, u00008, "ada__characters__latin_1S");
   u00009 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00009, "ada__stringsS");
   u00010 : constant Version_32 := 16#e542e79e#;
   pragma Export (C, u00010, "systemS");
   u00011 : constant Version_32 := 16#7b9f0bae#;
   pragma Export (C, u00011, "system__exception_tableB");
   u00012 : constant Version_32 := 16#742c3b3b#;
   pragma Export (C, u00012, "system__exception_tableS");
   u00013 : constant Version_32 := 16#5665ab64#;
   pragma Export (C, u00013, "system__htableB");
   u00014 : constant Version_32 := 16#66eaa990#;
   pragma Export (C, u00014, "system__htableS");
   u00015 : constant Version_32 := 16#8b7dad61#;
   pragma Export (C, u00015, "system__string_hashB");
   u00016 : constant Version_32 := 16#c3de3f0a#;
   pragma Export (C, u00016, "system__string_hashS");
   u00017 : constant Version_32 := 16#0071025c#;
   pragma Export (C, u00017, "system__soft_linksB");
   u00018 : constant Version_32 := 16#88199d43#;
   pragma Export (C, u00018, "system__soft_linksS");
   u00019 : constant Version_32 := 16#27940d94#;
   pragma Export (C, u00019, "system__parametersB");
   u00020 : constant Version_32 := 16#53a0eb5e#;
   pragma Export (C, u00020, "system__parametersS");
   u00021 : constant Version_32 := 16#17775d6d#;
   pragma Export (C, u00021, "system__secondary_stackB");
   u00022 : constant Version_32 := 16#f12cc030#;
   pragma Export (C, u00022, "system__secondary_stackS");
   u00023 : constant Version_32 := 16#ace32e1e#;
   pragma Export (C, u00023, "system__storage_elementsB");
   u00024 : constant Version_32 := 16#1f8f9a06#;
   pragma Export (C, u00024, "system__storage_elementsS");
   u00025 : constant Version_32 := 16#5bb55220#;
   pragma Export (C, u00025, "ada__exceptionsB");
   u00026 : constant Version_32 := 16#d90aeac7#;
   pragma Export (C, u00026, "ada__exceptionsS");
   u00027 : constant Version_32 := 16#16173147#;
   pragma Export (C, u00027, "ada__exceptions__last_chance_handlerB");
   u00028 : constant Version_32 := 16#1f42fb5e#;
   pragma Export (C, u00028, "ada__exceptions__last_chance_handlerS");
   u00029 : constant Version_32 := 16#aad75561#;
   pragma Export (C, u00029, "system__exceptionsB");
   u00030 : constant Version_32 := 16#e9bc2f29#;
   pragma Export (C, u00030, "system__exceptionsS");
   u00031 : constant Version_32 := 16#010db1dc#;
   pragma Export (C, u00031, "system__exceptions_debugB");
   u00032 : constant Version_32 := 16#dd32c24a#;
   pragma Export (C, u00032, "system__exceptions_debugS");
   u00033 : constant Version_32 := 16#b012ff50#;
   pragma Export (C, u00033, "system__img_intB");
   u00034 : constant Version_32 := 16#e799075c#;
   pragma Export (C, u00034, "system__img_intS");
   u00035 : constant Version_32 := 16#dc8e33ed#;
   pragma Export (C, u00035, "system__tracebackB");
   u00036 : constant Version_32 := 16#84c533eb#;
   pragma Export (C, u00036, "system__tracebackS");
   u00037 : constant Version_32 := 16#907d882f#;
   pragma Export (C, u00037, "system__wch_conB");
   u00038 : constant Version_32 := 16#5aa9c9a3#;
   pragma Export (C, u00038, "system__wch_conS");
   u00039 : constant Version_32 := 16#22fed88a#;
   pragma Export (C, u00039, "system__wch_stwB");
   u00040 : constant Version_32 := 16#77b8e5a2#;
   pragma Export (C, u00040, "system__wch_stwS");
   u00041 : constant Version_32 := 16#b8a9e30d#;
   pragma Export (C, u00041, "system__wch_cnvB");
   u00042 : constant Version_32 := 16#44574f75#;
   pragma Export (C, u00042, "system__wch_cnvS");
   u00043 : constant Version_32 := 16#129923ea#;
   pragma Export (C, u00043, "interfacesS");
   u00044 : constant Version_32 := 16#75729fba#;
   pragma Export (C, u00044, "system__wch_jisB");
   u00045 : constant Version_32 := 16#1025d461#;
   pragma Export (C, u00045, "system__wch_jisS");
   u00046 : constant Version_32 := 16#ada34a87#;
   pragma Export (C, u00046, "system__traceback_entriesB");
   u00047 : constant Version_32 := 16#b76309df#;
   pragma Export (C, u00047, "system__traceback_entriesS");
   u00048 : constant Version_32 := 16#4f750b3b#;
   pragma Export (C, u00048, "system__stack_checkingB");
   u00049 : constant Version_32 := 16#46e05bb2#;
   pragma Export (C, u00049, "system__stack_checkingS");
   u00050 : constant Version_32 := 16#96e9c1e7#;
   pragma Export (C, u00050, "ada__strings__mapsB");
   u00051 : constant Version_32 := 16#24318e4c#;
   pragma Export (C, u00051, "ada__strings__mapsS");
   u00052 : constant Version_32 := 16#6d30cd6d#;
   pragma Export (C, u00052, "system__bit_opsB");
   u00053 : constant Version_32 := 16#c30e4013#;
   pragma Export (C, u00053, "system__bit_opsS");
   u00054 : constant Version_32 := 16#8fa3bbe8#;
   pragma Export (C, u00054, "system__unsigned_typesS");
   u00055 : constant Version_32 := 16#7a69aa90#;
   pragma Export (C, u00055, "ada__strings__maps__constantsS");
   u00056 : constant Version_32 := 16#2200177e#;
   pragma Export (C, u00056, "ada__command_lineB");
   u00057 : constant Version_32 := 16#df5044bd#;
   pragma Export (C, u00057, "ada__command_lineS");
   u00058 : constant Version_32 := 16#5e196e91#;
   pragma Export (C, u00058, "ada__containersS");
   u00059 : constant Version_32 := 16#d9473c8c#;
   pragma Export (C, u00059, "ada__containers__red_black_treesS");
   u00060 : constant Version_32 := 16#3974f4f4#;
   pragma Export (C, u00060, "ada__directoriesB");
   u00061 : constant Version_32 := 16#9c33e8ea#;
   pragma Export (C, u00061, "ada__directoriesS");
   u00062 : constant Version_32 := 16#8ba0787e#;
   pragma Export (C, u00062, "ada__calendarB");
   u00063 : constant Version_32 := 16#e791e294#;
   pragma Export (C, u00063, "ada__calendarS");
   u00064 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00064, "interfaces__cB");
   u00065 : constant Version_32 := 16#f05a3eb1#;
   pragma Export (C, u00065, "interfaces__cS");
   u00066 : constant Version_32 := 16#7384e8d6#;
   pragma Export (C, u00066, "system__arith_64B");
   u00067 : constant Version_32 := 16#b7966186#;
   pragma Export (C, u00067, "system__arith_64S");
   u00068 : constant Version_32 := 16#22d03640#;
   pragma Export (C, u00068, "system__os_primitivesB");
   u00069 : constant Version_32 := 16#55936bb7#;
   pragma Export (C, u00069, "system__os_primitivesS");
   u00070 : constant Version_32 := 16#7a13e6d7#;
   pragma Export (C, u00070, "ada__calendar__formattingB");
   u00071 : constant Version_32 := 16#929f882b#;
   pragma Export (C, u00071, "ada__calendar__formattingS");
   u00072 : constant Version_32 := 16#e3cca715#;
   pragma Export (C, u00072, "ada__calendar__time_zonesB");
   u00073 : constant Version_32 := 16#98f012d7#;
   pragma Export (C, u00073, "ada__calendar__time_zonesS");
   u00074 : constant Version_32 := 16#c31442ce#;
   pragma Export (C, u00074, "system__val_intB");
   u00075 : constant Version_32 := 16#ade7cda1#;
   pragma Export (C, u00075, "system__val_intS");
   u00076 : constant Version_32 := 16#79817c71#;
   pragma Export (C, u00076, "system__val_unsB");
   u00077 : constant Version_32 := 16#9f0b56d3#;
   pragma Export (C, u00077, "system__val_unsS");
   u00078 : constant Version_32 := 16#aea309ed#;
   pragma Export (C, u00078, "system__val_utilB");
   u00079 : constant Version_32 := 16#49e25160#;
   pragma Export (C, u00079, "system__val_utilS");
   u00080 : constant Version_32 := 16#b7fa72e7#;
   pragma Export (C, u00080, "system__case_utilB");
   u00081 : constant Version_32 := 16#485e8716#;
   pragma Export (C, u00081, "system__case_utilS");
   u00082 : constant Version_32 := 16#8ff77155#;
   pragma Export (C, u00082, "system__val_realB");
   u00083 : constant Version_32 := 16#1b6b908f#;
   pragma Export (C, u00083, "system__val_realS");
   u00084 : constant Version_32 := 16#0be1b996#;
   pragma Export (C, u00084, "system__exn_llfB");
   u00085 : constant Version_32 := 16#64c6f971#;
   pragma Export (C, u00085, "system__exn_llfS");
   u00086 : constant Version_32 := 16#1b28662b#;
   pragma Export (C, u00086, "system__float_controlB");
   u00087 : constant Version_32 := 16#05bea4a2#;
   pragma Export (C, u00087, "system__float_controlS");
   u00088 : constant Version_32 := 16#b53281e9#;
   pragma Export (C, u00088, "system__powten_tableS");
   u00089 : constant Version_32 := 16#e559f18d#;
   pragma Export (C, u00089, "ada__directories__validityB");
   u00090 : constant Version_32 := 16#a2334639#;
   pragma Export (C, u00090, "ada__directories__validityS");
   u00091 : constant Version_32 := 16#914b496f#;
   pragma Export (C, u00091, "ada__strings__fixedB");
   u00092 : constant Version_32 := 16#dc686502#;
   pragma Export (C, u00092, "ada__strings__fixedS");
   u00093 : constant Version_32 := 16#0e1a9b25#;
   pragma Export (C, u00093, "ada__strings__searchB");
   u00094 : constant Version_32 := 16#b5a8c1d6#;
   pragma Export (C, u00094, "ada__strings__searchS");
   u00095 : constant Version_32 := 16#261c554b#;
   pragma Export (C, u00095, "ada__strings__unboundedB");
   u00096 : constant Version_32 := 16#2bf53506#;
   pragma Export (C, u00096, "ada__strings__unboundedS");
   u00097 : constant Version_32 := 16#afd62b40#;
   pragma Export (C, u00097, "ada__tagsB");
   u00098 : constant Version_32 := 16#4c761dce#;
   pragma Export (C, u00098, "ada__tagsS");
   u00099 : constant Version_32 := 16#25c21d28#;
   pragma Export (C, u00099, "system__val_lluB");
   u00100 : constant Version_32 := 16#f551ec9a#;
   pragma Export (C, u00100, "system__val_lluS");
   u00101 : constant Version_32 := 16#c4857ee1#;
   pragma Export (C, u00101, "system__compare_array_unsigned_8B");
   u00102 : constant Version_32 := 16#3f791153#;
   pragma Export (C, u00102, "system__compare_array_unsigned_8S");
   u00103 : constant Version_32 := 16#9d3d925a#;
   pragma Export (C, u00103, "system__address_operationsB");
   u00104 : constant Version_32 := 16#253c0e09#;
   pragma Export (C, u00104, "system__address_operationsS");
   u00105 : constant Version_32 := 16#1fd820b1#;
   pragma Export (C, u00105, "system__storage_pools__subpoolsB");
   u00106 : constant Version_32 := 16#951e0de9#;
   pragma Export (C, u00106, "system__storage_pools__subpoolsS");
   u00107 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00107, "system__address_imageB");
   u00108 : constant Version_32 := 16#44ae7aa4#;
   pragma Export (C, u00108, "system__address_imageS");
   u00109 : constant Version_32 := 16#91d2300e#;
   pragma Export (C, u00109, "system__finalization_mastersB");
   u00110 : constant Version_32 := 16#8fb74bb2#;
   pragma Export (C, u00110, "system__finalization_mastersS");
   u00111 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00111, "system__img_boolB");
   u00112 : constant Version_32 := 16#109b9675#;
   pragma Export (C, u00112, "system__img_boolS");
   u00113 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00113, "system__ioB");
   u00114 : constant Version_32 := 16#7b0010d1#;
   pragma Export (C, u00114, "system__ioS");
   u00115 : constant Version_32 := 16#8cbe6205#;
   pragma Export (C, u00115, "ada__finalizationB");
   u00116 : constant Version_32 := 16#22e22193#;
   pragma Export (C, u00116, "ada__finalizationS");
   u00117 : constant Version_32 := 16#1358602f#;
   pragma Export (C, u00117, "ada__streamsS");
   u00118 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00118, "system__finalization_rootB");
   u00119 : constant Version_32 := 16#aab0940e#;
   pragma Export (C, u00119, "system__finalization_rootS");
   u00120 : constant Version_32 := 16#a7a37cb6#;
   pragma Export (C, u00120, "system__storage_poolsB");
   u00121 : constant Version_32 := 16#36ecf8f3#;
   pragma Export (C, u00121, "system__storage_poolsS");
   u00122 : constant Version_32 := 16#1777d351#;
   pragma Export (C, u00122, "system__storage_pools__subpools__finalizationB");
   u00123 : constant Version_32 := 16#12aaf1de#;
   pragma Export (C, u00123, "system__storage_pools__subpools__finalizationS");
   u00124 : constant Version_32 := 16#3b8ad87b#;
   pragma Export (C, u00124, "system__atomic_countersB");
   u00125 : constant Version_32 := 16#afde8b2a#;
   pragma Export (C, u00125, "system__atomic_countersS");
   u00126 : constant Version_32 := 16#a6e358bc#;
   pragma Export (C, u00126, "system__stream_attributesB");
   u00127 : constant Version_32 := 16#e89b4b3f#;
   pragma Export (C, u00127, "system__stream_attributesS");
   u00128 : constant Version_32 := 16#b46168d5#;
   pragma Export (C, u00128, "ada__io_exceptionsS");
   u00129 : constant Version_32 := 16#4d046090#;
   pragma Export (C, u00129, "system__crtlS");
   u00130 : constant Version_32 := 16#35bbd729#;
   pragma Export (C, u00130, "system__file_ioB");
   u00131 : constant Version_32 := 16#c7ad2378#;
   pragma Export (C, u00131, "system__file_ioS");
   u00132 : constant Version_32 := 16#eaff7a04#;
   pragma Export (C, u00132, "interfaces__c__stringsB");
   u00133 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00133, "interfaces__c__stringsS");
   u00134 : constant Version_32 := 16#53190229#;
   pragma Export (C, u00134, "interfaces__c_streamsB");
   u00135 : constant Version_32 := 16#3ebb5e8e#;
   pragma Export (C, u00135, "interfaces__c_streamsS");
   u00136 : constant Version_32 := 16#17d70f63#;
   pragma Export (C, u00136, "system__crtl__runtimeS");
   u00137 : constant Version_32 := 16#8d0f8d8e#;
   pragma Export (C, u00137, "system__os_libB");
   u00138 : constant Version_32 := 16#89dce9aa#;
   pragma Export (C, u00138, "system__os_libS");
   u00139 : constant Version_32 := 16#4cd8aca0#;
   pragma Export (C, u00139, "system__stringsB");
   u00140 : constant Version_32 := 16#52a8ad5a#;
   pragma Export (C, u00140, "system__stringsS");
   u00141 : constant Version_32 := 16#b063698e#;
   pragma Export (C, u00141, "system__file_control_blockS");
   u00142 : constant Version_32 := 16#ba5d60c7#;
   pragma Export (C, u00142, "system__pool_globalB");
   u00143 : constant Version_32 := 16#d56df0a6#;
   pragma Export (C, u00143, "system__pool_globalS");
   u00144 : constant Version_32 := 16#3d0b17cc#;
   pragma Export (C, u00144, "system__memoryB");
   u00145 : constant Version_32 := 16#2fc95b8b#;
   pragma Export (C, u00145, "system__memoryS");
   u00146 : constant Version_32 := 16#6d01ea02#;
   pragma Export (C, u00146, "system__os_constantsS");
   u00147 : constant Version_32 := 16#daf128da#;
   pragma Export (C, u00147, "system__regexpB");
   u00148 : constant Version_32 := 16#2bd31c22#;
   pragma Export (C, u00148, "system__regexpS");
   u00149 : constant Version_32 := 16#55cb2642#;
   pragma Export (C, u00149, "ada__streams__stream_ioB");
   u00150 : constant Version_32 := 16#31db4e88#;
   pragma Export (C, u00150, "ada__streams__stream_ioS");
   u00151 : constant Version_32 := 16#5de653db#;
   pragma Export (C, u00151, "system__communicationB");
   u00152 : constant Version_32 := 16#d1028377#;
   pragma Export (C, u00152, "system__communicationS");
   u00153 : constant Version_32 := 16#30d8d53e#;
   pragma Export (C, u00153, "ada__text_ioB");
   u00154 : constant Version_32 := 16#afa6a7d6#;
   pragma Export (C, u00154, "ada__text_ioS");
   u00155 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00155, "gnatS");
   u00156 : constant Version_32 := 16#db98105c#;
   pragma Export (C, u00156, "gnat__command_lineB");
   u00157 : constant Version_32 := 16#33371422#;
   pragma Export (C, u00157, "gnat__command_lineS");
   u00158 : constant Version_32 := 16#51ac6027#;
   pragma Export (C, u00158, "gnat__directory_operationsB");
   u00159 : constant Version_32 := 16#10dc47ac#;
   pragma Export (C, u00159, "gnat__directory_operationsS");
   u00160 : constant Version_32 := 16#3ff16a6d#;
   pragma Export (C, u00160, "gnat__os_libS");
   u00161 : constant Version_32 := 16#084c16d0#;
   pragma Export (C, u00161, "gnat__regexpS");
   u00162 : constant Version_32 := 16#7d3103a4#;
   pragma Export (C, u00162, "gnat__stringsS");
   u00163 : constant Version_32 := 16#ce0e2acb#;
   pragma Export (C, u00163, "system__strings__stream_opsB");
   u00164 : constant Version_32 := 16#8453d1c6#;
   pragma Export (C, u00164, "system__strings__stream_opsS");
   u00165 : constant Version_32 := 16#a6c000df#;
   pragma Export (C, u00165, "templates_parserB");
   u00166 : constant Version_32 := 16#a9321c92#;
   pragma Export (C, u00166, "templates_parserS");
   u00167 : constant Version_32 := 16#654e2c4c#;
   pragma Export (C, u00167, "ada__containers__hash_tablesS");
   u00168 : constant Version_32 := 16#c24eaf4d#;
   pragma Export (C, u00168, "ada__containers__prime_numbersB");
   u00169 : constant Version_32 := 16#6d3af8ed#;
   pragma Export (C, u00169, "ada__containers__prime_numbersS");
   u00170 : constant Version_32 := 16#bd084245#;
   pragma Export (C, u00170, "ada__strings__hashB");
   u00171 : constant Version_32 := 16#fe83f2e7#;
   pragma Export (C, u00171, "ada__strings__hashS");
   u00172 : constant Version_32 := 16#e5d07804#;
   pragma Export (C, u00172, "ada__strings__hash_case_insensitiveB");
   u00173 : constant Version_32 := 16#f9e6d5c1#;
   pragma Export (C, u00173, "ada__strings__hash_case_insensitiveS");
   u00174 : constant Version_32 := 16#e1f42065#;
   pragma Export (C, u00174, "gnat__calendarB");
   u00175 : constant Version_32 := 16#d73dae4e#;
   pragma Export (C, u00175, "gnat__calendarS");
   u00176 : constant Version_32 := 16#8bfb0aae#;
   pragma Export (C, u00176, "gnat__calendar__time_ioB");
   u00177 : constant Version_32 := 16#1efff27c#;
   pragma Export (C, u00177, "gnat__calendar__time_ioS");
   u00178 : constant Version_32 := 16#d37ed4a2#;
   pragma Export (C, u00178, "gnat__case_utilB");
   u00179 : constant Version_32 := 16#5f04590f#;
   pragma Export (C, u00179, "gnat__case_utilS");
   u00180 : constant Version_32 := 16#1eab0e09#;
   pragma Export (C, u00180, "system__img_enum_newB");
   u00181 : constant Version_32 := 16#62452c6e#;
   pragma Export (C, u00181, "system__img_enum_newS");
   u00182 : constant Version_32 := 16#9777733a#;
   pragma Export (C, u00182, "system__img_lliB");
   u00183 : constant Version_32 := 16#f40db24f#;
   pragma Export (C, u00183, "system__img_lliS");
   u00184 : constant Version_32 := 16#06417083#;
   pragma Export (C, u00184, "system__img_lluB");
   u00185 : constant Version_32 := 16#c66abb2b#;
   pragma Export (C, u00185, "system__img_lluS");
   u00186 : constant Version_32 := 16#c72dc161#;
   pragma Export (C, u00186, "gnat__regpatS");
   u00187 : constant Version_32 := 16#b97b88d3#;
   pragma Export (C, u00187, "system__regpatB");
   u00188 : constant Version_32 := 16#67187ce1#;
   pragma Export (C, u00188, "system__regpatS");
   u00189 : constant Version_32 := 16#2b93a046#;
   pragma Export (C, u00189, "system__img_charB");
   u00190 : constant Version_32 := 16#7976bf79#;
   pragma Export (C, u00190, "system__img_charS");
   u00191 : constant Version_32 := 16#17561427#;
   pragma Export (C, u00191, "templates_parser__configurationS");
   u00192 : constant Version_32 := 16#d5e15f49#;
   pragma Export (C, u00192, "templates_parser__inputB");
   u00193 : constant Version_32 := 16#09f8a343#;
   pragma Export (C, u00193, "templates_parser__inputS");
   u00194 : constant Version_32 := 16#ace132c6#;
   pragma Export (C, u00194, "templates_parser__utilsB");
   u00195 : constant Version_32 := 16#cf06291e#;
   pragma Export (C, u00195, "templates_parser__utilsS");
   u00196 : constant Version_32 := 16#35cfbf5f#;
   pragma Export (C, u00196, "ada__environment_variablesB");
   u00197 : constant Version_32 := 16#35b9fcf5#;
   pragma Export (C, u00197, "ada__environment_variablesS");
   u00198 : constant Version_32 := 16#8adedb3e#;
   pragma Export (C, u00198, "templates_parser_taskingB");
   u00199 : constant Version_32 := 16#4c0209f0#;
   pragma Export (C, u00199, "templates_parser_taskingS");
   u00200 : constant Version_32 := 16#0c86b8a1#;
   pragma Export (C, u00200, "ada__task_identificationB");
   u00201 : constant Version_32 := 16#27dfbae4#;
   pragma Export (C, u00201, "ada__task_identificationS");
   u00202 : constant Version_32 := 16#792791a8#;
   pragma Export (C, u00202, "system__task_primitivesS");
   u00203 : constant Version_32 := 16#e0522444#;
   pragma Export (C, u00203, "system__os_interfaceB");
   u00204 : constant Version_32 := 16#77a6c542#;
   pragma Export (C, u00204, "system__os_interfaceS");
   u00205 : constant Version_32 := 16#95852cdb#;
   pragma Export (C, u00205, "system__linuxS");
   u00206 : constant Version_32 := 16#b4921ea2#;
   pragma Export (C, u00206, "system__task_primitives__operationsB");
   u00207 : constant Version_32 := 16#6ebcc916#;
   pragma Export (C, u00207, "system__task_primitives__operationsS");
   u00208 : constant Version_32 := 16#8a210339#;
   pragma Export (C, u00208, "system__interrupt_managementB");
   u00209 : constant Version_32 := 16#65528300#;
   pragma Export (C, u00209, "system__interrupt_managementS");
   u00210 : constant Version_32 := 16#f65595cf#;
   pragma Export (C, u00210, "system__multiprocessorsB");
   u00211 : constant Version_32 := 16#ddee78ed#;
   pragma Export (C, u00211, "system__multiprocessorsS");
   u00212 : constant Version_32 := 16#e7299166#;
   pragma Export (C, u00212, "system__stack_checking__operationsB");
   u00213 : constant Version_32 := 16#49df1cef#;
   pragma Export (C, u00213, "system__stack_checking__operationsS");
   u00214 : constant Version_32 := 16#3d54d5f6#;
   pragma Export (C, u00214, "system__task_infoB");
   u00215 : constant Version_32 := 16#57f8e5ce#;
   pragma Export (C, u00215, "system__task_infoS");
   u00216 : constant Version_32 := 16#52c41c4b#;
   pragma Export (C, u00216, "system__taskingB");
   u00217 : constant Version_32 := 16#d09f6c77#;
   pragma Export (C, u00217, "system__taskingS");
   u00218 : constant Version_32 := 16#c959d75d#;
   pragma Export (C, u00218, "system__stack_usageB");
   u00219 : constant Version_32 := 16#a5188558#;
   pragma Export (C, u00219, "system__stack_usageS");
   u00220 : constant Version_32 := 16#026ac83a#;
   pragma Export (C, u00220, "system__tasking__debugB");
   u00221 : constant Version_32 := 16#8c562538#;
   pragma Export (C, u00221, "system__tasking__debugS");
   u00222 : constant Version_32 := 16#39591e91#;
   pragma Export (C, u00222, "system__concat_2B");
   u00223 : constant Version_32 := 16#1e921562#;
   pragma Export (C, u00223, "system__concat_2S");
   u00224 : constant Version_32 := 16#ae97ef6c#;
   pragma Export (C, u00224, "system__concat_3B");
   u00225 : constant Version_32 := 16#9368e5f4#;
   pragma Export (C, u00225, "system__concat_3S");
   u00226 : constant Version_32 := 16#c9fdc962#;
   pragma Export (C, u00226, "system__concat_6B");
   u00227 : constant Version_32 := 16#2288128a#;
   pragma Export (C, u00227, "system__concat_6S");
   u00228 : constant Version_32 := 16#def1dd00#;
   pragma Export (C, u00228, "system__concat_5B");
   u00229 : constant Version_32 := 16#f57b293f#;
   pragma Export (C, u00229, "system__concat_5S");
   u00230 : constant Version_32 := 16#3493e6c0#;
   pragma Export (C, u00230, "system__concat_4B");
   u00231 : constant Version_32 := 16#e71d0420#;
   pragma Export (C, u00231, "system__concat_4S");
   u00232 : constant Version_32 := 16#d2bce054#;
   pragma Export (C, u00232, "system__tasking__utilitiesB");
   u00233 : constant Version_32 := 16#455b79d5#;
   pragma Export (C, u00233, "system__tasking__utilitiesS");
   u00234 : constant Version_32 := 16#715f2dea#;
   pragma Export (C, u00234, "system__tasking__initializationB");
   u00235 : constant Version_32 := 16#9468d5af#;
   pragma Export (C, u00235, "system__tasking__initializationS");
   u00236 : constant Version_32 := 16#12b846a5#;
   pragma Export (C, u00236, "system__soft_links__taskingB");
   u00237 : constant Version_32 := 16#6ac0d6d0#;
   pragma Export (C, u00237, "system__soft_links__taskingS");
   u00238 : constant Version_32 := 16#17d21067#;
   pragma Export (C, u00238, "ada__exceptions__is_null_occurrenceB");
   u00239 : constant Version_32 := 16#d832eaef#;
   pragma Export (C, u00239, "ada__exceptions__is_null_occurrenceS");
   u00240 : constant Version_32 := 16#b892e5ab#;
   pragma Export (C, u00240, "system__tasking__queuingB");
   u00241 : constant Version_32 := 16#5b69ac57#;
   pragma Export (C, u00241, "system__tasking__queuingS");
   u00242 : constant Version_32 := 16#78928eb3#;
   pragma Export (C, u00242, "system__tasking__protected_objectsB");
   u00243 : constant Version_32 := 16#09cb1bb5#;
   pragma Export (C, u00243, "system__tasking__protected_objectsS");
   u00244 : constant Version_32 := 16#ee80728a#;
   pragma Export (C, u00244, "system__tracesB");
   u00245 : constant Version_32 := 16#175f8f34#;
   pragma Export (C, u00245, "system__tracesS");
   u00246 : constant Version_32 := 16#4861433c#;
   pragma Export (C, u00246, "system__tasking__protected_objects__entriesB");
   u00247 : constant Version_32 := 16#4d64e3b6#;
   pragma Export (C, u00247, "system__tasking__protected_objects__entriesS");
   u00248 : constant Version_32 := 16#386436bc#;
   pragma Export (C, u00248, "system__restrictionsB");
   u00249 : constant Version_32 := 16#a98f5717#;
   pragma Export (C, u00249, "system__restrictionsS");
   u00250 : constant Version_32 := 16#bd6fc52e#;
   pragma Export (C, u00250, "system__traces__taskingB");
   u00251 : constant Version_32 := 16#55cf3c43#;
   pragma Export (C, u00251, "system__traces__taskingS");
   u00252 : constant Version_32 := 16#84c1a39b#;
   pragma Export (C, u00252, "system__tasking__protected_objects__operationsB");
   u00253 : constant Version_32 := 16#a9cb954d#;
   pragma Export (C, u00253, "system__tasking__protected_objects__operationsS");
   u00254 : constant Version_32 := 16#f81293e6#;
   pragma Export (C, u00254, "system__tasking__entry_callsB");
   u00255 : constant Version_32 := 16#837d42fa#;
   pragma Export (C, u00255, "system__tasking__entry_callsS");
   u00256 : constant Version_32 := 16#da47006c#;
   pragma Export (C, u00256, "system__tasking__rendezvousB");
   u00257 : constant Version_32 := 16#592e9c02#;
   pragma Export (C, u00257, "system__tasking__rendezvousS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.handling%s
   --  ada.characters.latin_1%s
   --  ada.command_line%s
   --  ada.environment_variables%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.arith_64%s
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.case_util%s
   --  system.case_util%b
   --  gnat.case_util%s
   --  gnat.case_util%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.float_control%s
   --  system.float_control%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.img_lli%s
   --  system.img_lli%b
   --  system.io%s
   --  system.io%b
   --  system.linux%s
   --  system.multiprocessors%s
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_checking.operations%s
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.os_lib%s
   --  gnat.os_lib%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.arith_64%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  system.soft_links%s
   --  system.stack_checking.operations%b
   --  system.traces%s
   --  system.traces%b
   --  system.unsigned_types%s
   --  system.img_llu%s
   --  system.img_llu%b
   --  system.val_int%s
   --  system.val_llu%s
   --  system.val_real%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_real%b
   --  system.val_llu%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.address_image%s
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.concat_4%s
   --  system.concat_4%b
   --  system.concat_5%s
   --  system.concat_5%b
   --  system.concat_6%s
   --  system.concat_6%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.containers%s
   --  ada.containers.hash_tables%s
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.containers.red_black_trees%s
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.maps.constants%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  system.multiprocessors%b
   --  interfaces.c.strings%s
   --  system.communication%s
   --  system.communication%b
   --  system.crtl.runtime%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.interrupt_management%s
   --  system.regpat%s
   --  gnat.regpat%s
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%b
   --  system.tasking%s
   --  ada.task_identification%s
   --  system.task_primitives.operations%s
   --  system.tasking%b
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.traces.tasking%s
   --  system.traces.tasking%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  gnat.calendar.time_io%s
   --  gnat.directory_operations%s
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.file_control_block%s
   --  ada.streams.stream_io%s
   --  system.file_io%s
   --  ada.streams.stream_io%b
   --  system.secondary_stack%s
   --  system.file_io%b
   --  system.storage_pools.subpools%b
   --  system.finalization_masters%b
   --  system.regpat%b
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  ada.strings.hash_case_insensitive%b
   --  system.soft_links%b
   --  system.os_lib%b
   --  ada.environment_variables%b
   --  ada.command_line%b
   --  ada.characters.handling%b
   --  system.secondary_stack%b
   --  gnat.directory_operations%b
   --  ada.calendar.formatting%b
   --  system.address_image%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.directories%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%b
   --  gnat.regexp%s
   --  gnat.command_line%s
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.entry_calls%s
   --  system.tasking.initialization%s
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.utilities%s
   --  ada.task_identification%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.command_line%b
   --  gnat.calendar.time_io%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%b
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.rendezvous%b
   --  system.tasking.entry_calls%b
   --  templates_parser_tasking%s
   --  templates_parser_tasking%b
   --  templates_parser%s
   --  templates_parser.configuration%s
   --  templates_parser.input%s
   --  templates_parser.input%b
   --  templates_parser.utils%s
   --  templates_parser.utils%b
   --  templates_parser%b
   --  templates2ada%b
   --  END ELABORATION ORDER


end ada_main;
